> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elencare gli hypervisor

> Recupera le informazioni sullo stato degli hypervisor per il monitoraggio delle VPC

Richiede una API key personale di un amministratore Enterprise.

Restituisce un elenco di hypervisor con il loro stato di salute corrente per l'Enterprise. Questo endpoint è progettato per il monitoraggio delle VPC e consente agli amministratori Enterprise di verificare lo stato di salute della propria infrastruttura di hypervisor.

<Note>
  Questo endpoint è disponibile solo per le Enterprise con deployment in VPC.
</Note>


## OpenAPI

````yaml it/v2-openapi.yaml GET /v2/enterprise/hypervisors/health
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/hypervisors/health:
    get:
      tags:
        - hypervisors
      summary: GET stato di integrità degli hypervisor Enterprise
      description: >-
        Recupera tutti gli hypervisor di un account Enterprise con il loro stato
        di salute corrente.


        Restituisce:
            Elenco di hypervisor con il rispettivo hypervisor_id e stato
      operationId: get_enterprise_hypervisors_health_v2_enterprise_hypervisors_health_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HypervisorStatus'
                title: >-
                  Response Get Enterprise Hypervisors Health V2 Enterprise
                  Hypervisors Health Get
                type: array
          description: Risposta riuscita
components:
  schemas:
    HypervisorStatus:
      properties:
        hypervisor_id:
          title: Hypervisor Id
          type: string
        seconds_since_report:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seconds Since Report
        status:
          title: Status
          type: string
      required:
        - hypervisor_id
        - status
      title: HypervisorStatus
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````